<?php
require_once('facebook_app.php');
require_once('config.php');
$app = FacebookApp::instance();

$facebook = $app->getFacebookInterface();
$me = $facebook->api('/me');
$email = "data-hint='Email'";
$name = "data-hint='Username'";
if(!empty($me['name'])) {
    $name = 'value="'.$me['name'].'"';
}
if(!empty($me['email'])) {
    $email = 'value="'.$me['email'].'"';
}



display_header();
?>
<div id="dbcontent">
    <div id="box_view">
        <script type='text/javascript'>
        $(function()
        {
            $('.register').submit (function()
            {
                var data = {};
                $('.register input').each (function() {
                    data[$(this).attr('name')] = $(this).attr('value');
                });

                $.ajax( {
                    dataType: 'json', 
                    type: 'POST', 
                    url: '<?php echo FACEBOOK_APP_SITEURL . "register.php"; ?>?signed_request=' + window.signed_request,
                    cache: false,
                    data: data,
                    success: function(data, textStatus, jqXHR){
                        $('.register .message').slideUp(200);
                        var messageSelect = '.register .normal';
                        if(data.error) {
                            var messageSelect = '.register .error';
                        }
                        $(messageSelect).html(data.message).slideDown(200);
                        if(data.redirect) {
                            setTimeout(function() {
                                 top.location.href = '<?php echo FACEBOOK_CANVAS_URL . (isset($_GET['redirect']) ? $_GET['redirect'] : '') ?>';
                            }, 3000);                      
                        }                       
                    },
                    error: function (xhr, textStatus, errorThrown) {
                        $('.register .error').html('Unspecified error, please try again later.');
                    }
                });
                return false;
            });	
        }
        );
        </script>
        <div class="category_box">
            <div class="category_header">
                <a href="register_form.php">
                    <div style="background: white url('_img/ico_all.png') no-repeat top left;" class="icon"></div>
                    <div class="text"><span class="first">Register</span></div>
                </a>
            </div>
            <div>
                <div class="register_page_title">Already a Member?</div><hr class="register_hr" />
                <div class="text_content">
                    <p>
                        Sorry, we were unable to log you in automatically. Please make sure your forum account is linked to
                    your Facebook account via Facebook Connect button on <?php echo FACEBOOK_APP_NAME ?>.
                    </p>
                    <p>
                        If you are not a member, please create a new account.
                    </p>
                </div>
                <div class="register_page_title">Create a new account</div><hr class="register_hr" />
            </div>
            <form class='register'>
                <label for="username">Username:</label>
                <input type='text' name='username' id='username' <?php echo $name; ?> />
       
                <label for="password">Password:</label>
                <input type='password' name='password' id='password' value="" />

                <label for="email">Email:</label>
                <input type='text' name='email' id='email' <?php echo $email; ?> />
       
                <input type='submit' name='submit' value='Register' />
                <div class="message error"></div>
                <div class="message normal"></div>
                <div class="clear"></div>
            </form>
            <div class="category_shadow">
                <div class="category_shadow_left"></div>
                <div class="category_shadow_center"></div>
                <div class="category_shadow_right"></div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php display_footer(0); ?>